async function promised_action(action) {
    return new Promise((resolve, reject) => {
        action((err, result) => {
            if (err) {
                reject(err);
            }
            else {
                resolve(result);
            }
        });
    });
}

async function promised_action_no_error(action) {
    return new Promise((resolve, reject) => {
        action((result) => {
            resolve(result);
        });
    });
}

module.exports = {
    promised_action,
    promised_action_no_error
};
